package com.zm.order.tool.server.helper;/**
 * @author: Z.X.F
 * @date: 2025/2/19
 * @className: IntelliJ IDEA
 * @description:
 */

import com.zm.order.tool.server.model.Order;

import java.util.List;

/**
 *
 * @packageName: com.zm.order.tool.server.helper
 * @className: SplitResult
 * @author zhuxiaofeng
 * @date 2025/2/19 18:27
 */
public class SplitResult {
    private final List<Order> firstAndLastTen;
    private final List<Order> remaining;

    public SplitResult(List<Order> firstAndLastTen, List<Order> remaining) {
        this.firstAndLastTen = firstAndLastTen;
        this.remaining = remaining;
    }

    public List<Order> getFirstAndLastTen() {
        return firstAndLastTen;
    }

    public List<Order> getRemaining() {
        return remaining;
    }
}
